package domain

type AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo struct {
	/*
	   优惠详情     */
	PeriodInfos *[]AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo `json:"period_infos,omitempty" `

	/*
	   商品     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   门店     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商家code     */
	MerchantCode *string `json:"merchant_code,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo) SetPeriodInfos(v []AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo) *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo {
	s.PeriodInfos = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo) SetSkuCode(v string) *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo) SetShopIds(v []string) *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo) SetMerchantCode(v string) *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo {
	s.MerchantCode = &v
	return s
}
